Bug 1053709 - Faulty storage allocation check when moving a disk
Summary: Faulty storage allocation check when moving a disk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: All
high
high
Target Milestone: ---
: 3.4.0
Assignee: Vered Volansky
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: 960934
TreeView+ depends on / blocked
 
Reported: 2014-01-15 16:41 UTC by Allon Mureinik
Modified: 2016-02-10 18:55 UTC (History)
15 users (show)

Fixed In Version: ovirt-3.4.0-ga
Doc Type: Bug Fix
Doc Text:
Clone Of: 960934
Environment:
Last Closed: 2014-03-31 12:29:38 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 22447 0 None None None Never

Comment 1 Elad 2014-03-12 15:22:19 UTC
Allon, can you elaborate on what should be checked here?
Would something like moving a 10G thin disk to a SD that has 9G free space on it do the job?

Comment 2 Allon Mureinik 2014-03-12 16:13:50 UTC
(In reply to Elad from comment #1)
> Allon, can you elaborate on what should be checked here?
> Would something like moving a 10G thin disk to a SD that has 9G free space
> on it do the job?
I'd do something like the following
1. Move a 10GB (1GB actual size) thinly provisioned disk to a domain with 9 free GB - should succeed.
1. Move a 10GB preallocated disk to a domain with 9 free GB - should fail with a CDA.

Comment 3 Elad 2014-03-17 16:14:00 UTC
Tested the following:
1) On a file and block domains with 20 free space: moved a 21G thin-provisioned disk. SUCCEEDED.
2) On a file and block domains with 16G free space: moved a 21G preallocated disk. FAILED. - blocked with a CDA.


Verified on RHEV-3.4 - AV2.1

Comment 4 Sandro Bonazzola 2014-03-31 12:29:38 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.